{% extends "starwars/base.html" %}

{% block content %}
  <h2>Collections</h2>

  <a href="{% url 'new_collection' %}"><button>Fetch</button></a>
  <br/>
  <br/>

  <table class="table table-striped">
    {% for obj in page_obj %}
      <tr>
          <td><a href="{% url 'inspection' id=obj.id %}">{{ obj.date_added }}</a></td>
      </tr>
    {% endfor %}
  </table>

  <ul class="pagination">
    {% if page_obj.has_previous %}
      <li class="page-item"><a href="?page={{ page_obj.previous_page_number }}" class="page-link">Previous</a></li>
    {% endif %}
    {% if page_obj.has_next %}
      <li class="page-item"><a href="?page={{ page_obj.next_page_number }}" class="page-link">Next</a></li>
    {% endif %}
  </ul>
{% endblock %}